import React, {Component} from 'react';
import {render} from 'react-dom';
import '../node_modules/bootstrap/dist/css/bootstrap.min.css';
import Menu from './components/menu';
import data from '../db/recipes';
import AddRecipeForm from './components/add-recipe-form';
import {v4} from 'uuid';

class App extends Component {

  constructor(props) {
    super(props);
    this.state = {
      recipes: props.data.recipes
    };
    this.doRate = this.doRate.bind(this);
    this.doAddRecipe = this.doAddRecipe.bind(this);
  }

  doRate(id, rating) {
    const {recipes} = this.state;
    this.setState({
      recipes: recipes.map(recipe => {
        return (id !== recipe.id)
          ? recipe
          : {
            ...recipe,
            rating
          }
      })
    });
  }

  doAddRecipe(name, ingredients) {
    const {recipes} = this.state;
    this.setState({
      recipes: [
        ...recipes,
        {
          id: v4(),
          name,
          ingredients,
          steps: [],
          rating: 0
        }
      ]
    });
  }

  render() {
    const {recipes} = this.state;
    return (
      <div className="container">
        <Menu recipes={recipes} onRate={this.doRate}/>
        <AddRecipeForm onNewRecipe={this.doAddRecipe}/>
      </div>
    );
  }
}

render(<App data={data}/>, document.getElementById('app'));
