import React, {Component} from 'react';

class AddIngredients extends Component {
  static defaultProps = {
    onNewIngredient(ingredient) {},
    onClearIngredientList() {}
  }

  constructor() {
    super();
    this.doAddIngredient = this.doAddIngredient.bind(this);
    this.doClearIngredientList = this.doClearIngredientList.bind(this);
  }

  doAddIngredient(event) {
    event.preventDefault();
    const {_ingredientName, _amount, _measurement} = this.refs;
    const {onNewIngredient} = this.props;
    onNewIngredient({
      name: _ingredientName.value,
      amount: _amount.value,
      measurement: _measurement.value
    });
    this.clearInputs();
  }

  doClearIngredientList(event) {
    event.preventDefault();
    const {onClearIngredientList} = this.props;
    onClearIngredientList();
    this.clearInputs();
  }

  clearInputs() {
    const {_ingredientName, _amount, _measurement} = this.refs;
    _ingredientName.value = '';
    _amount.value = '';
    _measurement.value = '';
    _amount.focus();
  }

  render() {
    return (
      <div className="ingredient-form">
        <input className="form-control" ref="_amount" type="text" placeholder="Amount"/>
        <input className="form-control" ref="_measurement" type="text" placeholder="Measurement"/>
        <input className="form-control" ref="_ingredientName" type="text" placeholder="Ingredient name"/>
        <div className="mt-2">
          <button className="btn btn-secondary mr-2" onClick={this.doAddIngredient}>Add Ingredient</button>
          <button className="btn btn-secondary mr-2" onClick={this.doClearIngredientList}>Clear Ingredient List</button>
        </div>
      </div>
    );
  }
}

export default AddIngredients;
