import React from 'react';
import Recipe from './recipe';
import Summary from './summary';

const Menu = ({recipes=[], onRate=()=>{}}) => {

  return (
    <article>
      <header>
        <h1 className="text-white bg-dark">Delicious Recipes</h1>
      </header>
      <div className="recipes">
        {recipes.map((recipe, i) =>
          <div key={i}>
            <Recipe {...recipe} onRate={rating => onRate(recipe.id, rating)}/>
            <Summary ingredientsCount={recipe.ingredients.length}
              stepsCount={recipe.steps.length}/>
            <hr/>
          </div>)}
      </div>
    </article>
  );
}

export default Menu;
