import React from 'react';
import '../css/star.css'

const Star = ({selected=false, onClick=()=>{}}) =>
  <div className={selected ? 'star selected' : 'star'}
    onClick={onClick}>
  </div>;

const StarRating = ({starsSelected=0, totalStars=5, onRate=()=>{}}) =>
  <div className="star-rating">
    {[...Array(totalStars)].map((n, i) =>
      <Star key={i} selected={i < starsSelected} onClick={() => onRate(i+1)}/>
    )}
    <p>{starsSelected} of {totalStars} stars</p>
  </div>;

export default StarRating;
