const path = require('path');

module.exports = {
  mode: 'development',
  entry: './source/app.js',
  output: {
    path: path.resolve('.', 'public'),
    filename: 'app.js',
    sourceMapFilename: 'app.map'
  },
  devtool: '#source-map',
  module: {
    rules: [
      {
        test: /\.js$/,
        use: [
          {
            loader: 'babel-loader',
            options: {
              presets: ['react', 'env', 'stage-0']
            }
          }
        ],
        exclude: /(node_modules)/
      },
      {
        test: /\.css$/,
        use: [
          'style-loader',
          'css-loader'
        ]
      }
    ]
  }
};
